Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# TiXmlHandle Class Reference

List of all members.

## Public Member Functions
| TiXmlHandle (TiXmlHandle const ref)
| TiXmlHandle (TiXmlNode _node)
TiXmlHandle | Child (string _value, int index)
TiXmlHandle | Child (string value, int index)
TiXmlHandle | Child (int index)
TiXmlHandle | ChildElement (string _value, int index)
TiXmlHandle | ChildElement (string value, int index)
TiXmlHandle | ChildElement (int index)
TiXmlElement | Element ()
TiXmlHandle | FirstChild ()
TiXmlHandle | FirstChild (string _value)
TiXmlHandle | FirstChild (string value)
TiXmlHandle | FirstChildElement (string _value)
TiXmlHandle | FirstChildElement (string value)
TiXmlHandle | FirstChildElement ()
TiXmlNode | Node ()
TiXmlHandle | operator= (TiXmlHandle const ref)
TiXmlText | Text ()
TiXmlElement | ToElement ()
TiXmlNode | ToNode ()
TiXmlText | ToText ()
TiXmlUnknown | ToUnknown ()
TiXmlUnknown | Unknown ()

## Constructor & Destructor Documentation

TiXmlHandle | ( | TiXmlHandle const | ref | ) |

TiXmlHandle | ( | TiXmlNode | _node | ) |

## Member Function Documentation

TiXmlHandle Child | ( | string | _value,
|  | int | index
| ) |  |

TiXmlHandle Child | ( | string | value,
|  | int | index
| ) |  |

TiXmlHandle Child | ( | int | index | ) |

TiXmlHandle ChildElement | ( | string | _value,
|  | int | index
| ) |  |

TiXmlHandle ChildElement | ( | string | value,
|  | int | index
| ) |  |

TiXmlHandle ChildElement | ( | int | index | ) |

TiXmlElement Element | ( |  | ) |

TiXmlHandle FirstChild | ( | string | value | ) |

TiXmlHandle FirstChild | ( |  | ) |

TiXmlHandle FirstChild | ( | string | _value | ) |

TiXmlHandle FirstChildElement | ( |  | ) |

TiXmlHandle FirstChildElement | ( | string | _value | ) |

TiXmlHandle FirstChildElement | ( | string | value | ) |

TiXmlNode Node | ( |  | ) |

TiXmlHandle operator= | ( | TiXmlHandle const | ref | ) |

TiXmlText Text | ( |  | ) |

TiXmlElement ToElement | ( |  | ) |

TiXmlNode ToNode | ( |  | ) |

TiXmlText ToText | ( |  | ) |

TiXmlUnknown ToUnknown | ( |  | ) |

TiXmlUnknown Unknown | ( |  | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties